%global commit ff4c85197c5555715093c08a8d4f9d493c4d80cd
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-simpylfold
Version:        2.1
Release:        0.2%{?dist}
Summary:        No-BS Python code folding for Vim

License:        BSD-3-Clause
URL:            https://github.com/tmhedberg/SimpylFold
Source0:        %{url}/archive/%{commit}/SimpylFold-%{version}-git%{shortcommit}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-simpylfold.metainfo.xml

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
No-BS Python code folding for Vim.


%prep
%autosetup -n SimpylFold


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {autoload,doc,ftplugin,plugin} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc AUTHORS README.md
%license LICENSE
%doc %{vimfiles_root}/doc/SimpylFold.txt
%{vimfiles_root}/autoload/SimpylFold.vim
%{vimfiles_root}/ftplugin/python/SimpylFold.vim
%{vimfiles_root}/ftplugin/cython
%{vimfiles_root}/plugin/SimpylFold.vim
%{_metainfodir}/vim-simpylfold.metainfo.xml


%changelog
* Mon Jun 03 2024 Patrick Laimbock <patrick@laimbock.com> - 2.1-0.2
- rebuild for  F40

* Mon Apr 17 2023 Patrick Laimbock <patrick@laimbock.com> - 2.1-0.1
- initial package
- based on git commit ff4c85197c5555715093c08a8d4f9d493c4d80cd
